STRUCT MUTEX_FAMILY(3)

NAME
boost::interprocess::mutex_family

SYNOPSIS

// In header: <boost/interprocess/sync/mutex_family.hpp>
struct mutex_family {
  // types
  typedef boost::interprocess::interprocess_mutex           mutex_type;
  typedef boost::interprocess::interprocess_recursive_mutex recursive_mutex_type;
};

DESCRIPTION

Describes interprocess_mutex family to use with Interprocess framework based on boost::interprocess synchronization objects.